Bug 143 - XKBCvt refers to _XlcCurrentLC even if Xlocale support is disabled, patch included
Summary: XKBCvt refers to _XlcCurrentLC even if Xlocale support is disabled, patch inc...
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: unspecified
Hardware: Other All
: high normal
Assignee: Jim Gettys
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-15 06:42 UTC by Luciano Montanaro
Modified: 2011-10-15 17:23 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Fix the reported problem (471 bytes, patch)
2003-11-15 06:44 UTC, Luciano Montanaro
no flags Details | Splinter Review
More stubs for the missing xlocale (3.28 KB, patch)
2003-11-18 01:50 UTC, Luciano Montanaro
no flags Details | Splinter Review

Description Luciano Montanaro 2003-11-15 06:42:49 UTC
As the summary says, there is still one reference to a Xlocale function 
The patch #ifdef's out the code in case DISABLE_XLOCALE is set
Comment 1 Luciano Montanaro 2003-11-15 06:44:46 UTC
Created attachment 70 [details] [review]
Fix the reported problem
Comment 2 Luciano Montanaro 2003-11-15 08:44:19 UTC
I'm sorry to report that the proposed patch is not enough. 
Now XKBcvt.c requires the _XimGetLocaleCode symbol. 
This will probably require a stub. 
Comment 3 Jim Gettys 2003-11-17 12:55:34 UTC
Mathew?  You happy with this?
                   - Jim
Comment 4 Matthew Allum 2003-11-17 14:00:23 UTC
I Just committed 2 new simple stubs for these symbols. Im sure they wont be the
last ... 
Comment 5 Luciano Montanaro 2003-11-18 01:50:35 UTC
Created attachment 76 [details] [review]
More stubs for the missing xlocale

Some review is probably in order.
The ones marked /* needed for konqueror */ let me run konqueror with the 
shrinked libX11.so, and they are the ones I really care for at this point.
The ones marked /* needed by mozilla */ are symbols used by mozilla
(the libawt, really), and should be reviewed, since mozilla still crashes
on pages with java applets. I *had* the impression I was make stubs a little
too short, but...
Others I found using the LD_BIND_NOW=1 trick.
Please apply the parts that you see fit.

Luciano
Comment 6 Jeremy Huddleston Sequoia 2011-09-27 10:19:39 UTC
Mass update: Close all bugs resolved over one year ago.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.